/* MP Split Section (STACK) — title + text + image below, max width 630px */

.mp-split--stack {
  /* --mp-bg: #fddf8a; */
  --mp-radius: 28px;
  --mp-cut: 85px;
  background: var(--clr-main-background);
  padding: 25px 0;
}

.mp-split--stack .mp-split__inner {
  max-width: 1136px;
  margin: 0 auto;
  padding: 0 20px;
  display: block;

  padding: var(--module-padding);
  background-color: var(--clr-module-bg);
  border-radius: var(--border-radius-eri);
}

.mp-split--stack .mp-split__text {
  max-width: 100%;
}

.mp-split--stack .mp-split__media-wrap {
  margin-top: 28px;
}

.mp-split--stack .mp-split__media {
  width: 100%;
  aspect-ratio: 16 / 10;

  background-size: cover;
  background-position: center;
  position: relative;
  overflow: hidden;
}

/* diagonaal vasakus all nurgas */
.mp-split--stack .mp-split__media::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: var(--mp-cut);
  height: var(--mp-cut);
  background: var(--mp-bg);
  clip-path: polygon(0 0, 100% 100%, 0 100%);
}

@media (max-width: 980px) {
  .mp-split--stack {
    padding: var(--module-padding-mobile);
    --mp-cut: 92px;
  }

  .mp-split--stack .mp-split__inner {
    /* padding: 0 16px; */
  }

  .mp-split--stack .mp-split__media {
    aspect-ratio: 16 / 11;
  }
}
